/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.threeten.bp.LocalDate;

import java.math.BigDecimal;
import java.util.Objects;

/**
 * List of information linked to a delayed luggage incident
 */
@ApiModel(description = "List of information linked to a delayed luggage incident")
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class DelayedLuggageClaimInformation {
  @SerializedName("Claimant_name")
  private String claimantName = null;

  @SerializedName("Relationship_to_cardholder")
  private String relationshipToCardholder = null;

  @SerializedName("Other_relationship_to_cardholder")
  private String otherRelationshipToCardholder = null;

  @SerializedName("Sex")
  private String sex = null;

  @SerializedName("Date_of_Birth")
  private LocalDate dateOfBirth = null;

  @SerializedName("Was_the_full_trip_charged_to_your_Visa")
  private String wasTheFullTripChargedToYourVisa = null;

  @SerializedName("From_Planned_day_of_trip")
  private LocalDate fromPlannedDayOfTrip = null;

  @SerializedName("To_Planned_day_of_trip")
  private LocalDate toPlannedDayOfTrip = null;

  @SerializedName("Day_Arrival_From")
  private LocalDate dayArrivalFrom = null;

  @SerializedName("Time_Arrival")
  private String timeArrival = null;

  @SerializedName("Date_of_receipt_of_delayed_luggage")
  private LocalDate dateOfReceiptOfDelayedLuggage = null;

  @SerializedName("Time_of_receipt_of_delayed_luggage")
  private String timeOfReceiptOfDelayedLuggage = null;

  @SerializedName("Name_tour_operator_travel_agency")
  private String nameTourOperatorTravelAgency = null;

  @SerializedName("Address_tour_operator_travel_agency")
  private String addressTourOperatorTravelAgency = null;

  @SerializedName("Phone_tour_operator_travel_agency")
  private Model51 phoneTourOperatorTravelAgency = null;

  @SerializedName("Do_you_have_other_insurance_that_applies")
  private String doYouHaveOtherInsuranceThatApplies = null;

  @SerializedName("Please_indicate_the_amount")
  private BigDecimal pleaseIndicateTheAmount = null;

  @SerializedName("CurrencyIsoCode")
  private String currencyIsoCode = null;

  @SerializedName("Briefly_describe_the_causes_that_led")
  private String brieflyDescribeTheCausesThatLed = null;

  @SerializedName("Total_amount_claimed")
  private BigDecimal totalAmountClaimed = null;

  @SerializedName("Total_amount_CurrencyIsoCode2")
  private String totalAmountCurrencyIsoCode2 = null;

  @SerializedName("luggageDelayInfo")
  private LuggageDelayInfo luggageDelayInfo = null;

  public DelayedLuggageClaimInformation claimantName(String claimantName) {
    this.claimantName = claimantName;
    return this;
  }

   /**
   * Get claimantName
   * @return claimantName
  **/
  @ApiModelProperty(example = "test", value = "")
  public String getClaimantName() {
    return claimantName;
  }

  public void setClaimantName(String claimantName) {
    this.claimantName = claimantName;
  }

  public DelayedLuggageClaimInformation relationshipToCardholder(String relationshipToCardholder) {
    this.relationshipToCardholder = relationshipToCardholder;
    return this;
  }

   /**
   * Get relationshipToCardholder
   * @return relationshipToCardholder
  **/
  @ApiModelProperty(example = "I'm the cardholder", value = "")
  public String getRelationshipToCardholder() {
    return relationshipToCardholder;
  }

  public void setRelationshipToCardholder(String relationshipToCardholder) {
    this.relationshipToCardholder = relationshipToCardholder;
  }

  public DelayedLuggageClaimInformation otherRelationshipToCardholder(String otherRelationshipToCardholder) {
    this.otherRelationshipToCardholder = otherRelationshipToCardholder;
    return this;
  }

   /**
   * Get otherRelationshipToCardholder
   * @return otherRelationshipToCardholder
  **/
  @ApiModelProperty(example = "testOther", value = "")
  public String getOtherRelationshipToCardholder() {
    return otherRelationshipToCardholder;
  }

  public void setOtherRelationshipToCardholder(String otherRelationshipToCardholder) {
    this.otherRelationshipToCardholder = otherRelationshipToCardholder;
  }

  public DelayedLuggageClaimInformation sex(String sex) {
    this.sex = sex;
    return this;
  }

   /**
   * Get sex
   * @return sex
  **/
  @ApiModelProperty(example = "Male", value = "")
  public String getSex() {
    return sex;
  }

  public void setSex(String sex) {
    this.sex = sex;
  }

  public DelayedLuggageClaimInformation dateOfBirth(LocalDate dateOfBirth) {
    this.dateOfBirth = dateOfBirth;
    return this;
  }

   /**
   * Get dateOfBirth
   * @return dateOfBirth
  **/
  @ApiModelProperty(example = "1988-03-12", value = "")
  public LocalDate getDateOfBirth() {
    return dateOfBirth;
  }

  public void setDateOfBirth(LocalDate dateOfBirth) {
    this.dateOfBirth = dateOfBirth;
  }

  public DelayedLuggageClaimInformation wasTheFullTripChargedToYourVisa(String wasTheFullTripChargedToYourVisa) {
    this.wasTheFullTripChargedToYourVisa = wasTheFullTripChargedToYourVisa;
    return this;
  }

   /**
   * Get wasTheFullTripChargedToYourVisa
   * @return wasTheFullTripChargedToYourVisa
  **/
  @ApiModelProperty(example = "NO", value = "")
  public String getWasTheFullTripChargedToYourVisa() {
    return wasTheFullTripChargedToYourVisa;
  }

  public void setWasTheFullTripChargedToYourVisa(String wasTheFullTripChargedToYourVisa) {
    this.wasTheFullTripChargedToYourVisa = wasTheFullTripChargedToYourVisa;
  }

  public DelayedLuggageClaimInformation fromPlannedDayOfTrip(LocalDate fromPlannedDayOfTrip) {
    this.fromPlannedDayOfTrip = fromPlannedDayOfTrip;
    return this;
  }

   /**
   * Get fromPlannedDayOfTrip
   * @return fromPlannedDayOfTrip
  **/
  @ApiModelProperty(example = "2016-12-12", value = "")
  public LocalDate getFromPlannedDayOfTrip() {
    return fromPlannedDayOfTrip;
  }

  public void setFromPlannedDayOfTrip(LocalDate fromPlannedDayOfTrip) {
    this.fromPlannedDayOfTrip = fromPlannedDayOfTrip;
  }

  public DelayedLuggageClaimInformation toPlannedDayOfTrip(LocalDate toPlannedDayOfTrip) {
    this.toPlannedDayOfTrip = toPlannedDayOfTrip;
    return this;
  }

   /**
   * Get toPlannedDayOfTrip
   * @return toPlannedDayOfTrip
  **/
  @ApiModelProperty(example = "2017-12-12", value = "")
  public LocalDate getToPlannedDayOfTrip() {
    return toPlannedDayOfTrip;
  }

  public void setToPlannedDayOfTrip(LocalDate toPlannedDayOfTrip) {
    this.toPlannedDayOfTrip = toPlannedDayOfTrip;
  }

  public DelayedLuggageClaimInformation dayArrivalFrom(LocalDate dayArrivalFrom) {
    this.dayArrivalFrom = dayArrivalFrom;
    return this;
  }

   /**
   * Get dayArrivalFrom
   * @return dayArrivalFrom
  **/
  @ApiModelProperty(example = "2013-12-12", value = "")
  public LocalDate getDayArrivalFrom() {
    return dayArrivalFrom;
  }

  public void setDayArrivalFrom(LocalDate dayArrivalFrom) {
    this.dayArrivalFrom = dayArrivalFrom;
  }

  public DelayedLuggageClaimInformation timeArrival(String timeArrival) {
    this.timeArrival = timeArrival;
    return this;
  }

   /**
   * Get timeArrival
   * @return timeArrival
  **/
  @ApiModelProperty(example = "1", value = "")
  public String getTimeArrival() {
    return timeArrival;
  }

  public void setTimeArrival(String timeArrival) {
    this.timeArrival = timeArrival;
  }

  public DelayedLuggageClaimInformation dateOfReceiptOfDelayedLuggage(LocalDate dateOfReceiptOfDelayedLuggage) {
    this.dateOfReceiptOfDelayedLuggage = dateOfReceiptOfDelayedLuggage;
    return this;
  }

   /**
   * Get dateOfReceiptOfDelayedLuggage
   * @return dateOfReceiptOfDelayedLuggage
  **/
  @ApiModelProperty(example = "2017-05-12", value = "")
  public LocalDate getDateOfReceiptOfDelayedLuggage() {
    return dateOfReceiptOfDelayedLuggage;
  }

  public void setDateOfReceiptOfDelayedLuggage(LocalDate dateOfReceiptOfDelayedLuggage) {
    this.dateOfReceiptOfDelayedLuggage = dateOfReceiptOfDelayedLuggage;
  }

  public DelayedLuggageClaimInformation timeOfReceiptOfDelayedLuggage(String timeOfReceiptOfDelayedLuggage) {
    this.timeOfReceiptOfDelayedLuggage = timeOfReceiptOfDelayedLuggage;
    return this;
  }

   /**
   * Get timeOfReceiptOfDelayedLuggage
   * @return timeOfReceiptOfDelayedLuggage
  **/
  @ApiModelProperty(example = "2", value = "")
  public String getTimeOfReceiptOfDelayedLuggage() {
    return timeOfReceiptOfDelayedLuggage;
  }

  public void setTimeOfReceiptOfDelayedLuggage(String timeOfReceiptOfDelayedLuggage) {
    this.timeOfReceiptOfDelayedLuggage = timeOfReceiptOfDelayedLuggage;
  }

  public DelayedLuggageClaimInformation nameTourOperatorTravelAgency(String nameTourOperatorTravelAgency) {
    this.nameTourOperatorTravelAgency = nameTourOperatorTravelAgency;
    return this;
  }

   /**
   * Get nameTourOperatorTravelAgency
   * @return nameTourOperatorTravelAgency
  **/
  @ApiModelProperty(example = "test", value = "")
  public String getNameTourOperatorTravelAgency() {
    return nameTourOperatorTravelAgency;
  }

  public void setNameTourOperatorTravelAgency(String nameTourOperatorTravelAgency) {
    this.nameTourOperatorTravelAgency = nameTourOperatorTravelAgency;
  }

  public DelayedLuggageClaimInformation addressTourOperatorTravelAgency(String addressTourOperatorTravelAgency) {
    this.addressTourOperatorTravelAgency = addressTourOperatorTravelAgency;
    return this;
  }

   /**
   * Get addressTourOperatorTravelAgency
   * @return addressTourOperatorTravelAgency
  **/
  @ApiModelProperty(example = "testAddress", value = "")
  public String getAddressTourOperatorTravelAgency() {
    return addressTourOperatorTravelAgency;
  }

  public void setAddressTourOperatorTravelAgency(String addressTourOperatorTravelAgency) {
    this.addressTourOperatorTravelAgency = addressTourOperatorTravelAgency;
  }

  public DelayedLuggageClaimInformation phoneTourOperatorTravelAgency(Model51 phoneTourOperatorTravelAgency) {
    this.phoneTourOperatorTravelAgency = phoneTourOperatorTravelAgency;
    return this;
  }

   /**
   * Get phoneTourOperatorTravelAgency
   * @return phoneTourOperatorTravelAgency
  **/
  @ApiModelProperty(value = "")
  public Model51 getPhoneTourOperatorTravelAgency() {
    return phoneTourOperatorTravelAgency;
  }

  public void setPhoneTourOperatorTravelAgency(Model51 phoneTourOperatorTravelAgency) {
    this.phoneTourOperatorTravelAgency = phoneTourOperatorTravelAgency;
  }

  public DelayedLuggageClaimInformation doYouHaveOtherInsuranceThatApplies(String doYouHaveOtherInsuranceThatApplies) {
    this.doYouHaveOtherInsuranceThatApplies = doYouHaveOtherInsuranceThatApplies;
    return this;
  }

   /**
   * Get doYouHaveOtherInsuranceThatApplies
   * @return doYouHaveOtherInsuranceThatApplies
  **/
  @ApiModelProperty(example = "Yes", value = "")
  public String getDoYouHaveOtherInsuranceThatApplies() {
    return doYouHaveOtherInsuranceThatApplies;
  }

  public void setDoYouHaveOtherInsuranceThatApplies(String doYouHaveOtherInsuranceThatApplies) {
    this.doYouHaveOtherInsuranceThatApplies = doYouHaveOtherInsuranceThatApplies;
  }

  public DelayedLuggageClaimInformation pleaseIndicateTheAmount(BigDecimal pleaseIndicateTheAmount) {
    this.pleaseIndicateTheAmount = pleaseIndicateTheAmount;
    return this;
  }

   /**
   * Get pleaseIndicateTheAmount
   * @return pleaseIndicateTheAmount
  **/
  @ApiModelProperty(example = "500.0", value = "")
  public BigDecimal getPleaseIndicateTheAmount() {
    return pleaseIndicateTheAmount;
  }

  public void setPleaseIndicateTheAmount(BigDecimal pleaseIndicateTheAmount) {
    this.pleaseIndicateTheAmount = pleaseIndicateTheAmount;
  }

  public DelayedLuggageClaimInformation currencyIsoCode(String currencyIsoCode) {
    this.currencyIsoCode = currencyIsoCode;
    return this;
  }

   /**
   * Get currencyIsoCode
   * @return currencyIsoCode
  **/
  @ApiModelProperty(example = "USD", value = "")
  public String getCurrencyIsoCode() {
    return currencyIsoCode;
  }

  public void setCurrencyIsoCode(String currencyIsoCode) {
    this.currencyIsoCode = currencyIsoCode;
  }

  public DelayedLuggageClaimInformation brieflyDescribeTheCausesThatLed(String brieflyDescribeTheCausesThatLed) {
    this.brieflyDescribeTheCausesThatLed = brieflyDescribeTheCausesThatLed;
    return this;
  }

   /**
   * Get brieflyDescribeTheCausesThatLed
   * @return brieflyDescribeTheCausesThatLed
  **/
  @ApiModelProperty(example = "test", value = "")
  public String getBrieflyDescribeTheCausesThatLed() {
    return brieflyDescribeTheCausesThatLed;
  }

  public void setBrieflyDescribeTheCausesThatLed(String brieflyDescribeTheCausesThatLed) {
    this.brieflyDescribeTheCausesThatLed = brieflyDescribeTheCausesThatLed;
  }

  public DelayedLuggageClaimInformation totalAmountClaimed(BigDecimal totalAmountClaimed) {
    this.totalAmountClaimed = totalAmountClaimed;
    return this;
  }

   /**
   * Get totalAmountClaimed
   * @return totalAmountClaimed
  **/
  @ApiModelProperty(example = "200.0", value = "")
  public BigDecimal getTotalAmountClaimed() {
    return totalAmountClaimed;
  }

  public void setTotalAmountClaimed(BigDecimal totalAmountClaimed) {
    this.totalAmountClaimed = totalAmountClaimed;
  }

  public DelayedLuggageClaimInformation totalAmountCurrencyIsoCode2(String totalAmountCurrencyIsoCode2) {
    this.totalAmountCurrencyIsoCode2 = totalAmountCurrencyIsoCode2;
    return this;
  }

   /**
   * Get totalAmountCurrencyIsoCode2
   * @return totalAmountCurrencyIsoCode2
  **/
  @ApiModelProperty(example = "USD", value = "")
  public String getTotalAmountCurrencyIsoCode2() {
    return totalAmountCurrencyIsoCode2;
  }

  public void setTotalAmountCurrencyIsoCode2(String totalAmountCurrencyIsoCode2) {
    this.totalAmountCurrencyIsoCode2 = totalAmountCurrencyIsoCode2;
  }

  public DelayedLuggageClaimInformation luggageDelayInfo(LuggageDelayInfo luggageDelayInfo) {
    this.luggageDelayInfo = luggageDelayInfo;
    return this;
  }

   /**
   * Get luggageDelayInfo
   * @return luggageDelayInfo
  **/
  @ApiModelProperty(value = "")
  public LuggageDelayInfo getLuggageDelayInfo() {
    return luggageDelayInfo;
  }

  public void setLuggageDelayInfo(LuggageDelayInfo luggageDelayInfo) {
    this.luggageDelayInfo = luggageDelayInfo;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    DelayedLuggageClaimInformation delayedLuggageClaimInformation = (DelayedLuggageClaimInformation) o;
    return Objects.equals(this.claimantName, delayedLuggageClaimInformation.claimantName) &&
        Objects.equals(this.relationshipToCardholder, delayedLuggageClaimInformation.relationshipToCardholder) &&
        Objects.equals(this.otherRelationshipToCardholder, delayedLuggageClaimInformation.otherRelationshipToCardholder) &&
        Objects.equals(this.sex, delayedLuggageClaimInformation.sex) &&
        Objects.equals(this.dateOfBirth, delayedLuggageClaimInformation.dateOfBirth) &&
        Objects.equals(this.wasTheFullTripChargedToYourVisa, delayedLuggageClaimInformation.wasTheFullTripChargedToYourVisa) &&
        Objects.equals(this.fromPlannedDayOfTrip, delayedLuggageClaimInformation.fromPlannedDayOfTrip) &&
        Objects.equals(this.toPlannedDayOfTrip, delayedLuggageClaimInformation.toPlannedDayOfTrip) &&
        Objects.equals(this.dayArrivalFrom, delayedLuggageClaimInformation.dayArrivalFrom) &&
        Objects.equals(this.timeArrival, delayedLuggageClaimInformation.timeArrival) &&
        Objects.equals(this.dateOfReceiptOfDelayedLuggage, delayedLuggageClaimInformation.dateOfReceiptOfDelayedLuggage) &&
        Objects.equals(this.timeOfReceiptOfDelayedLuggage, delayedLuggageClaimInformation.timeOfReceiptOfDelayedLuggage) &&
        Objects.equals(this.nameTourOperatorTravelAgency, delayedLuggageClaimInformation.nameTourOperatorTravelAgency) &&
        Objects.equals(this.addressTourOperatorTravelAgency, delayedLuggageClaimInformation.addressTourOperatorTravelAgency) &&
        Objects.equals(this.phoneTourOperatorTravelAgency, delayedLuggageClaimInformation.phoneTourOperatorTravelAgency) &&
        Objects.equals(this.doYouHaveOtherInsuranceThatApplies, delayedLuggageClaimInformation.doYouHaveOtherInsuranceThatApplies) &&
        Objects.equals(this.pleaseIndicateTheAmount, delayedLuggageClaimInformation.pleaseIndicateTheAmount) &&
        Objects.equals(this.currencyIsoCode, delayedLuggageClaimInformation.currencyIsoCode) &&
        Objects.equals(this.brieflyDescribeTheCausesThatLed, delayedLuggageClaimInformation.brieflyDescribeTheCausesThatLed) &&
        Objects.equals(this.totalAmountClaimed, delayedLuggageClaimInformation.totalAmountClaimed) &&
        Objects.equals(this.totalAmountCurrencyIsoCode2, delayedLuggageClaimInformation.totalAmountCurrencyIsoCode2) &&
        Objects.equals(this.luggageDelayInfo, delayedLuggageClaimInformation.luggageDelayInfo);
  }

  @Override
  public int hashCode() {
    return Objects.hash(claimantName, relationshipToCardholder, otherRelationshipToCardholder, sex, dateOfBirth, wasTheFullTripChargedToYourVisa, fromPlannedDayOfTrip, toPlannedDayOfTrip, dayArrivalFrom, timeArrival, dateOfReceiptOfDelayedLuggage, timeOfReceiptOfDelayedLuggage, nameTourOperatorTravelAgency, addressTourOperatorTravelAgency, phoneTourOperatorTravelAgency, doYouHaveOtherInsuranceThatApplies, pleaseIndicateTheAmount, currencyIsoCode, brieflyDescribeTheCausesThatLed, totalAmountClaimed, totalAmountCurrencyIsoCode2, luggageDelayInfo);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class DelayedLuggageClaimInformation {\n");
    
    sb.append("    claimantName: ").append(toIndentedString(claimantName)).append("\n");
    sb.append("    relationshipToCardholder: ").append(toIndentedString(relationshipToCardholder)).append("\n");
    sb.append("    otherRelationshipToCardholder: ").append(toIndentedString(otherRelationshipToCardholder)).append("\n");
    sb.append("    sex: ").append(toIndentedString(sex)).append("\n");
    sb.append("    dateOfBirth: ").append(toIndentedString(dateOfBirth)).append("\n");
    sb.append("    wasTheFullTripChargedToYourVisa: ").append(toIndentedString(wasTheFullTripChargedToYourVisa)).append("\n");
    sb.append("    fromPlannedDayOfTrip: ").append(toIndentedString(fromPlannedDayOfTrip)).append("\n");
    sb.append("    toPlannedDayOfTrip: ").append(toIndentedString(toPlannedDayOfTrip)).append("\n");
    sb.append("    dayArrivalFrom: ").append(toIndentedString(dayArrivalFrom)).append("\n");
    sb.append("    timeArrival: ").append(toIndentedString(timeArrival)).append("\n");
    sb.append("    dateOfReceiptOfDelayedLuggage: ").append(toIndentedString(dateOfReceiptOfDelayedLuggage)).append("\n");
    sb.append("    timeOfReceiptOfDelayedLuggage: ").append(toIndentedString(timeOfReceiptOfDelayedLuggage)).append("\n");
    sb.append("    nameTourOperatorTravelAgency: ").append(toIndentedString(nameTourOperatorTravelAgency)).append("\n");
    sb.append("    addressTourOperatorTravelAgency: ").append(toIndentedString(addressTourOperatorTravelAgency)).append("\n");
    sb.append("    phoneTourOperatorTravelAgency: ").append(toIndentedString(phoneTourOperatorTravelAgency)).append("\n");
    sb.append("    doYouHaveOtherInsuranceThatApplies: ").append(toIndentedString(doYouHaveOtherInsuranceThatApplies)).append("\n");
    sb.append("    pleaseIndicateTheAmount: ").append(toIndentedString(pleaseIndicateTheAmount)).append("\n");
    sb.append("    currencyIsoCode: ").append(toIndentedString(currencyIsoCode)).append("\n");
    sb.append("    brieflyDescribeTheCausesThatLed: ").append(toIndentedString(brieflyDescribeTheCausesThatLed)).append("\n");
    sb.append("    totalAmountClaimed: ").append(toIndentedString(totalAmountClaimed)).append("\n");
    sb.append("    totalAmountCurrencyIsoCode2: ").append(toIndentedString(totalAmountCurrencyIsoCode2)).append("\n");
    sb.append("    luggageDelayInfo: ").append(toIndentedString(luggageDelayInfo)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

